Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcOSIndependent.h File Reference

独立系 More...

`#include "dkcDefined.h"`
`#include <direct.h>`

Include dependency graph for dkcOSIndependent.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | dkc_4char
## Defines
#define | ULONGLONG unsigned long long int
#define | LONGLONG long long int
#define | ULONGLONG_MAX DKINGYO_ULONGLONG_MAX
#define | LONGLONG_MAX DKINGYO_LONGLONG_MAX
#define | LONGLONG_MIN DKINGYO_LONGLONG_MIN
#define | TRUE 1
#define | FALSE 0
#define | NULL 0
#define | dkcdPATH_SEP '/'
#define | dkcdPATH_SEP_STR "/"
#define | dkcdPATH_LIST_SEP ':'
#define | dkcdPATH_LIST_SEP_STR ":"
#define | dkcmIS_PATH_SEP(c) (dkcdPATH_SEP==(c))
#define | dkcmIS_INVALID_FILENAME_CHAR(c)
#define | dkcmIS_INVALID_FOLDERNAME_CHAR(c) dkcmIS_INVALID_FILENAME_CHAR(c)
#define | dkcmIS_INVALID_PATH_CHAR(c)
#define | DKC_EXPORT
#define | DKC_IMPORT
#define | DKC_EXTERN DKUTIL_EXTERN
#define | dkcdMAXPATH 1024
#define | dkcdMAXPATH_LEN dkcdMAXPATH
#define | dkcdMAXPATH_BUFFER dkcdMAXPATH * 2
| 安全なMAX_PATHのバッファのサイズ　なんかWindows2000だとこういう場合もあるらしいから
#define | MAYBE 2
#define | dkcmNOT_ASSERT_MESSAGE(ex, mes) ((void)0)
#define | dkcmASSERT_MESSAGE(ex, mes) ((void)0)
#define | dkcmNOT_ASSERT(ex) ((void)0)
#define | dkcmASSERT(ex) ((void)0)
#define | dkcmFORCE_NOT_ASSERT(ex) ( (ex) && dkcErrorMessage(#ex,__FILE__,__LINE__,NULL) )
#define | dkcmFORCE_ASSERT(ex) ( (ex) || dkcErrorMessage(#ex,__FILE__,__LINE__,NULL) )
#define | dkcmFORCE_NOT_ASSERT_MESSAGE(ex, mes) ( (ex) && dkcErrorMessage(#ex,__FILE__,__LINE__,mes) )
#define | dkcmFORCE_ASSERT_MESSAGE(ex, mes) ( (ex) || dkcErrorMessage(#ex,__FILE__,__LINE__,mes) )
## Typedefs
typedef void *(* | DKC_REALLOC_F_TYPE )(void *, size_t)
typedef int | BOOL
typedef unsigned char | BYTE
typedef dkc_4char | DKC_4CHAR
## Functions
DKC_EXTERN BOOL WINAPI | dkcIsNativePathString (const char *s, size_t size)
| FALSEならNativeなファイルパスではない。.
DKC_EXTERN size_t | dkcReallocateSizeFunction (size_t OldSize, size_t ExpandSize)
DKC_EXTERN void *WINAPIV | dkcAllocate (size_t size)
DKC_EXTERN int WINAPIV | dkcFree (void **p)
DKC_EXTERN int WINAPI | dkcReallocate (void **NewPtr, size_t NewSize, void **OldPtr)
DKC_EXTERN int WINAPI | dkcReallocateEx (DKC_REALLOC_F_TYPE your_realloc, void **NewPtr, size_t NewSize, void **OldPtr)
| edk_SUCCEEDEDだったら成功
DKC_EXTERN int WINAPI | dkcReallocateAutoExpand (DKC_REALLOC_F_TYPE your_realloc, void **NewPtr, void **OldPtr, size_t OldSize, size_t *reallocated_size)
DKC_EXTERN void WINAPI | dkcSwap (void *p1, void *p2, size_t size)
DKC_EXTERN void WINAPI | dkcSwapFast (void *p1, void *p2, size_t size)
DKC_EXTERN void WINAPI | dkcSwap64 (ULONGLONG *p1, ULONGLONG *p2, size_t size)
DKC_EXTERN BOOL | dkcIs_foepn_mode (const char *s)
| fopenの時の第二引数が有効な値かどうか調べる。
DKC_EXTERN FILE *WINAPI | dkcFOpen (const char *filename, const char *mode)
| fopenのラッパー
DKC_EXTERN int WINAPI | dkcFClose (FILE **ptr)
| fcloseのラッパー
DKC_EXTERN int WINAPI | dkcSaveBinary (const void *data, size_t size, const char *fname)
| fopenのファイル関数を使ってバイナリセーブを行う。
DKC_EXTERN int WINAPI | dkcLoadBinary (void *data, size_t size, const char *fname, size_t *readsize)
| バイナリデータをメモリに読み込む。dkcSaveBinary()と対
DKC_EXTERN int WINAPI | dkcSaveText (const char *text, size_t length, const char *fname)
| fopenでテキストセーブを行う
DKC_EXTERN int WINAPI | dkcLoadText (char *text, size_t length, const char *fname, size_t *readsize)
| テキストデータをメモリに読み込む。dkcSaveText()と対
DKC_EXTERN BOOL WINAPI | dkcCreateEmptyFile (const char *filename)
| 空ファイルを作る。
DKC_EXTERN int WINAPI | dkcErrorMessage (const char *expression, const char *filename, size_t line, const char *message,...)
DKC_EXTERN const char * | dkcGetPathSep ()
| path separatorの入った文字列(1byte毎にpath separatorの文字定数が入っている)をゲット

## Detailed Description

独立系

Note:
  at joke : Don't forget "Independence Day" of the Movie...^^;

## Define Documentation

#define DKC_EXPORT

#define DKC_EXTERN DKUTIL_EXTERN

#define DKC_IMPORT

#define dkcdMAXPATH 1024

#define dkcdMAXPATH_BUFFER dkcdMAXPATH * 2

| 安全なMAX_PATHのバッファのサイズ　なんかWindows2000だとこういう場合もあるらしいから

#define dkcdMAXPATH_LEN dkcdMAXPATH

#define dkcdPATH_LIST_SEP ':'

#define dkcdPATH_LIST_SEP_STR ":"

#define dkcdPATH_SEP '/'

#define dkcdPATH_SEP_STR "/"

#define dkcmASSERT | ( | ex |  | ) | ((void)0)

#define dkcmASSERT_MESSAGE | ( | ex,
|  | mes |  | ) | ((void)0)

#define dkcmFORCE_ASSERT | ( | ex |  | ) | ( (ex) || dkcErrorMessage(#ex,__FILE__,__LINE__,NULL) )

#define dkcmFORCE_ASSERT_MESSAGE | ( | ex,
|  | mes |  | ) | ( (ex) || dkcErrorMessage(#ex,__FILE__,__LINE__,mes) )

#define dkcmFORCE_NOT_ASSERT | ( | ex |  | ) | ( (ex) && dkcErrorMessage(#ex,__FILE__,__LINE__,NULL) )

#define dkcmFORCE_NOT_ASSERT_MESSAGE | ( | ex,
|  | mes |  | ) | ( (ex) && dkcErrorMessage(#ex,__FILE__,__LINE__,mes) )

#define dkcmIS_INVALID_FILENAME_CHAR | ( | c |  | ) |

| Value:
    ( ((c) =='\\') || ((c)=='/') || ((c)=='*') || ((c)=='?') \
                    || ((c)== '"') || ((c) == '<') || ((c) == '>') || ((c) == '|') )

#define dkcmIS_INVALID_FOLDERNAME_CHAR | ( | c |  | ) | dkcmIS_INVALID_FILENAME_CHAR(c)

#define dkcmIS_INVALID_PATH_CHAR | ( | c |  | ) |

| Value:
    ( ( (c)=='\\') || ((c)=='*') || ((c)=='?') || ((c)== '"') || \
            ((c) == '<') || ((c) == '>') || ((c) == '|') )

#define dkcmIS_PATH_SEP | ( | c |  | ) | (dkcdPATH_SEP==(c))

#define dkcmNOT_ASSERT | ( | ex |  | ) | ((void)0)

#define dkcmNOT_ASSERT_MESSAGE | ( | ex,
|  | mes |  | ) | ((void)0)

#define FALSE 0

#define LONGLONG long long int

#define LONGLONG_MAX DKINGYO_LONGLONG_MAX

#define LONGLONG_MIN DKINGYO_LONGLONG_MIN

#define MAYBE 2

#define NULL 0

#define TRUE 1

#define ULONGLONG unsigned long long int

#define ULONGLONG_MAX DKINGYO_ULONGLONG_MAX

## Typedef Documentation

typedef int BOOL

typedef unsigned char BYTE

typedef struct dkc_4char DKC_4CHAR

typedef void *(* DKC_REALLOC_F_TYPE)(void *, size_t)

## Function Documentation

DKC_EXTERN void* WINAPIV dkcAllocate | ( | size_t | size | ) |

DKC_EXTERN BOOL WINAPI dkcCreateEmptyFile | ( | const char * | filename | ) |

| 空ファイルを作る。

DKC_EXTERN int WINAPI dkcErrorMessage | ( | const char * | expression,
|  | const char * | filename,
|  | size_t | line,
|  | const char * | message,
|  | ... |
| ) |

| Returns: almost TRUE(1)

DKC_EXTERN int WINAPI dkcFClose | ( | FILE ** | ptr | ) |

| fcloseのラッパー

DKC_EXTERN FILE* WINAPI dkcFOpen | ( | const char * | filename,
|  | const char * | mode
| ) |

| fopenのラッパー

DKC_EXTERN int WINAPIV dkcFree | ( | void ** | p | ) |

DKC_EXTERN const char* dkcGetPathSep | ( |  | ) |

| path separatorの入った文字列(1byte毎にpath separatorの文字定数が入っている)をゲット

DKC_EXTERN BOOL dkcIs_foepn_mode | ( | const char * | s | ) |

| fopenの時の第二引数が有効な値かどうか調べる。

DKC_EXTERN BOOL WINAPI dkcIsNativePathString | ( | const char * | s,
|  | size_t | size
| ) |

| FALSEならNativeなファイルパスではない。.

DKC_EXTERN int WINAPI dkcLoadBinary | ( | void * | data,
|  | size_t | size,
|  | const char * | fname,
|  | size_t * | readsize
| ) |

| バイナリデータをメモリに読み込む。dkcSaveBinary()と対

DKC_EXTERN int WINAPI dkcLoadText | ( | char * | text,
|  | size_t | length,
|  | const char * | fname,
|  | size_t * | readsize
| ) |

| テキストデータをメモリに読み込む。dkcSaveText()と対

DKC_EXTERN int WINAPI dkcReallocate | ( | void ** | NewPtr,
|  | size_t | NewSize,
|  | void ** | OldPtr
| ) |

DKC_EXTERN int WINAPI dkcReallocateAutoExpand | ( | DKC_REALLOC_F_TYPE | your_realloc,
|  | void ** | NewPtr,
|  | void ** | OldPtr,
|  | size_t | OldSize,
|  | size_t * | reallocated_size
| ) |

  | Parameters:
  your_realloc[in] | reallocする関数
  NewPtr[out] | 新しいメモリ空間アドレス
  OldPtr[in][out] | 古いメモリ空間アドレス。関数が成功すると、OldPtrは無効になる
  OldSize[in] | OldPtrのサイズ
  reallocated_size[out] | 確保したサイズ
Note: メモリサイズ拡張専用

DKC_EXTERN int WINAPI dkcReallocateEx | ( | DKC_REALLOC_F_TYPE | your_realloc,
|  | void ** | NewPtr,
|  | size_t | NewSize,
|  | void ** | OldPtr
| ) |

  | edk_SUCCEEDEDだったら成功 Parameters:
  your_realloc[in] | reallocする関数
  NewPtr[out] | 新しいメモリ空間アドレス
  NewSize[in] | 新しいメモリ空間アドレスのサイズ。
  OldPtr[in][out] | 古いメモリ空間アドレス。関数が成功すると、OldPtrは無効になる
  OldSize[in] | OldPtrのサイズ

DKC_EXTERN size_t dkcReallocateSizeFunction | ( | size_t | OldSize,
|  | size_t | ExpandSize
| ) |

DKC_EXTERN int WINAPI dkcSaveBinary | ( | const void * | data,
|  | size_t | size,
|  | const char * | fname
| ) |

| fopenのファイル関数を使ってバイナリセーブを行う。

DKC_EXTERN int WINAPI dkcSaveText | ( | const char * | text,
|  | size_t | length,
|  | const char * | fname
| ) |

| fopenでテキストセーブを行う

DKC_EXTERN void WINAPI dkcSwap | ( | void * | p1,
|  | void * | p2,
|  | size_t | size
| ) |

| 演算でSwapさせる。SWAP_NUM()マクロを参照。

DKC_EXTERN void WINAPI dkcSwap64 | ( | ULONGLONG * | p1,
|  | ULONGLONG * | p2,
|  | size_t | size
| ) |

  | Parameters:
  p1[in] | ULONGLONG *のバッファへのポインタ
  p2[in] | ULONGLONG *のバッファへのポインタ
  size[in] | p1,p2バッファのサイズ
Note: p1,p2共にULONGLONG *に強制型キャストしてください。

DKC_EXTERN void WINAPI dkcSwapFast | ( | void * | p1,
|  | void * | p2,
|  | size_t | size
| ) |

| どんな方法でもいいからともかく速くSwapさせる。 Note: size分のメモリを動的確保してスワップします。